Why does ReactNative 0.43 install react@16.0.0-alpha.6?


(Sfoxover) #1

I am following the getting started doc on ReactNative. A demo project works but its installing react@16.0.0-alpha.6. This does not seem like a stable release branch? Is there a way to make sure all NPM imports are from release branches and stable?

I was trying to add some cool styles from nativebase.io. When I try and run this there are a bunch of dependency errors.

Thanks

Steve


(Sophie Alpert) #2

At times, React Native will depend on an alpha version of React – this happens in part due to the fact that RN has a more frequent release cycle than React itself, and that’s the correct version to use when working with React Native.

We use alpha versions of React in production at Facebook so they should be pretty stable.